/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/
#ifndef SM_DEF_H_
#define SM_DEF_H_

#include <nw/lyt.h>


#define     SM_LOWER_SCREEN_SIZE_W      (320.f)
#define     SM_LOWER_SCREEN_SIZE_H      (240.f)
#define     SM_LOWER_SCREEN_HALF_SIZE_W (160.f)
#define     SM_LOWER_SCREEN_HALF_SIZE_H (120.f)

#define     SM_UPPER_SCREEN_SIZE_W    (480.f)
#define     SM_UPPER_SCREEN_SIZE_H    (320.f)

#define     SM_SAFE_DELETE( ptr ) \
     if ( ptr ){ delete ptr; ptr = NULL; } \

#endif  // SM_DEF_H_
