/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW_FONT_DRAWERTYPES_H_
#define NW_FONT_DRAWERTYPES_H_

#if defined(_MSC_VER) && _MSC_VER >= 1500
#pragma once
#endif

namespace nw {
namespace font {

//---------------------------------------------------------------------------
//
//
//
//---------------------------------------------------------------------------
enum Vertex
{
    //
    VERTEX_LT,
    //
    VERTEX_RT,
    //
    VERTEX_LB,
    //
    VERTEX_RB,

    //
    VERTEX_MAX
};

}   // namespace font
}   // namespace nw

#endif //  NW_FONT_DRAWERTYPES_H_
