/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#include "ShaderConfig.h"
#include "VertexShader.h"

//-----------------------------------------------------------------------------
//
//-----------------------------------------------------------------------------
l_gen_texcoord_reflection:
    mov     TEMP2,             -TEMP_POSI
    dp3     TEMP2.w,            TEMP2,          TEMP2
    rsq     TEMP2.w,            TEMP2.w
    mul     TEMP2,              TEMP2,          TEMP2.w
    dp3     TEMP1,              TEMP2,          TEMP_NORM
    add     TEMP1,              TEMP1,          TEMP1
    mad     TEMP_TEX,           TEMP1,          TEMP_NORM,          -TEMP2
    ret
