/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#include "ShaderConfig.h"
#include "VertexShader.h"

//-----------------------------------------------------------------------------
//
//-----------------------------------------------------------------------------
l_get_texcoord_source:
    cmp     EQ, EQ,     TEMP0.xy,      CONST_1_2_2_2

    ifc 0, 0, COND_MODE_AND
        mul     TEMP_TEX.xy,       nw_texcoord0.xy,   nw_attribute_scale1._X
    else
        ifc 1, 0, COND_MODE_AND
            mul     TEMP_TEX.xy,       nw_texcoord1.xy,   nw_attribute_scale1._Y
        else
            mul     TEMP_TEX.xy,       nw_texcoord2.xy,   nw_attribute_scale1._Z
        endif
        nop
    endif
    mov     TEMP_TEX.zw,        CONST_0_0_1_1
    ret
