﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_H_
#define NW4C_VIEWER_H_

#define G3D_SERIAL_CH       0
#define EFFECT_SERIAL_CH    1
#define SND_SERIAL_CH       2
#define LYT_SERIAL_CH       3

#if ! defined( NN_PCGX )
#define VIEWER_SND_ENABLE
#endif

#include <nn.h>
#include <nn/fs.h>
#include <nn/gx.h>
#include <nn/gr.h>
#include <nn/os.h>
#include <nn/hid.h>
#include <nn/hio.h>
#include <nn/version.h>

#include <nw/types.h>
#include <nw/ut.h>
#include <nw/io.h>
#include <nw/os.h>
#include <nw/math.h>
#include <nw/font.h>
#include <nw/lyt.h>
#include <nw/gfx.h>
#include <nw/anim.h>
#include <nw/snd.h>

#include <GLES2/gl2.h>
#include <GLES2/gl2ext.h>

#include <stdio.h>

#include <viewer/types.h>
#include <viewer/common.h>
#include <viewer/system.h>
//#include <viewer/g2d.h>
//#include <viewer/g3d.h>
//#include <viewer/effect.h>
//#include <viewer/sound.h>
//#include <viewer/env.h>
//
//#if defined(USE_SAMPLE)
//#include <viewer/sample.h>
//#endif
//
//// #include <resource.h>
//#include <protocol.h>
//
///* NW4C_VIEWER_H_ */
#endif
