/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_EFFECT_MODULE_EFFECT_H_
#define NW4C_VIEWER_EFFECT_MODULE_EFFECT_H_

#include <viewer/system/Module.h>
#include <viewer/system/AppId.h>

namespace vw {
namespace effect {

//============================================
// ModuleEffect class
//============================================
class ModuleEffect : public system::Module
{
public:
    static ModuleEffect* GetInstance();
    static void Initialize();
    static void Finalize();
    ModuleEffect() : system::Module( system::EFFECT_ID, system::EFFECT_PRIORITY, system::EFFECT_SETUP_ORDER ) {}
};

}   /* namespace effect */
}   /* namespace vw     */

#endif
