/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/
#ifndef NW4R_VIEWER_DRAWOPTION_H_
#define NW4R_VIEWER_DRAWOPTION_H_

enum DispOption
{
    DISP_POINTLIGHT    = 1 << 0,
    DISP_FORM          = 1 << 1,
    DISP_FIELD_GRAVITY = 1 << 2,
    DISP_FIELD_MAGNET  = 1 << 3,
    DISP_FIELD_NEWTON  = 1 << 4,
    DISP_FIELD_VORTEX  = 1 << 5,
    DISP_FIELD_SPIN    = 1 << 6,
    DISP_POST_COLLISION = 1 << 7,
    DISP_POST_WRAPAROUND = 1 << 10,
    DISP_EMIT_AXIS     = 1 << 8, // Emitter coordinate axis
    DISP_EMIT_ICON     = 1 << 9  // Emitter icon
};

#endif
