/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_TEMPLATE_MODULE_TEMPLATE_H_
#define NW4C_VIEWER_TEMPLATE_MODULE_TEMPLATE_H_

#include <viewer/system/Module.h>
#include <viewer/system/AppId.h>

namespace vw {
namespace tmpl {

//============================================
// ModuleTemplate class
//============================================
class ModuleTemplate : public system::Module
{
public:
    static ModuleTemplate* GetInstance();
    ModuleTemplate() : system::Module( system::TEMPLATE_ID, system::TEMPLATE_PRIORITY ) {}
};

}   /* namespace tmpl */
}   /* namespace vw   */

#endif
