﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_G2D_RESOURCES_H_
#define NW4C_VIEWER_G2D_RESOURCES_H_

namespace nw { namespace lyt {
    class DrawInfo;
    class Drawer;
}}

namespace vw  {
namespace g2d {

class ResLayout;
class CameraMgr;

namespace res {

ResLayout& GetResLayout();
CameraMgr& GetCameraMgr();
nw::lyt::DrawInfo& GetDrawInfo();
nw::lyt::Drawer& GetDrawer();

}   /* namespace res */

}   /* namespace g2d */
}   /* namespace vw  */


/* NW4C_VIEWER_G2D_RESOURCES_H_ */
#endif


