﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_G3D_RESOURCE_HELPER_H_
#define NW4C_VIEWER_G3D_RESOURCE_HELPER_H_

#include <nw/ut.h>
#include <nw/gfx.h>

namespace vw  {
namespace g3d {

nw::ut::ResTypeInfo GetActualTypeInfo(nw::gfx::res::ResTexture texture);

nw::gfx::Result SetupResGraphicsFile(nw::os::IAllocator* allocator, nw::gfx::res::ResGraphicsFile graphicsFile);

}   /* namespace g3d */
}   /* namespace vw  */


/* NW4R_VIEWER_G3D_RES_ANM_CAMERA_AC_H_ */
#endif
