﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_SYSTEM_LOG_UTIL_H_
#define NW4C_VIEWER_SYSTEM_LOG_UTIL_H_

#include <nw/assert.h>


#ifndef NW_VIEWER_PRIVATE
    #ifndef NW_VIEWER_LOG
        #define NW_VIEWER_LOG( ... )            (void)0
    #endif//NW_VIEWER_LOG

    #ifndef NW_VIEWER_DEV_LOG
        #define NW_VIEWER_DEV_LOG( ... )        (void)0
    #endif//NW_VIEWER_DEV_LOG
#else
    #ifndef NW_VIEWER_LOG
        #define NW_VIEWER_LOG                   NW_LOG
    #endif//NW_VIEWER_LOG

    #ifndef NW_VIEWER_DEV_LOG
        #if defined(NW_DEV_ENABLED)
            #define NW_VIEWER_DEV_LOG           NW_LOG
        #else
            #define NW_VIEWER_DEV_LOG( ... )    (void)0
        #endif
    #endif//NW_VIEWER_DEV_LOG
#endif//NW_VIEWER_PRIVATE


#endif//NW4C_VIEWER_SYSTEM_LOG_UTIL_H_
