/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef VIEWER_SYSTEM_TEX_CONVERTER_H_
#define VIEWER_SYSTEM_TEX_CONVERTER_H_

#include <viewer.h>

namespace vw     {
namespace system {

    /* Please see man pages for details 
        

        
        
        

        
        
        
        
        
        
    */
    bool ConvertGLTextureToNative(const GLenum format, const u32 width, const u32 height,
        void* glData, void* dmpData);

} // namespace system
} // namespace vw

#endif // VIEWER_SYSTEM_TEX_CONVERTER_H_
