/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW_LYT_PRECOMPILED_H_
#define NW_LYT_PRECOMPILED_H_

 // precompiled.h : Include files for standard system include files as well as include files that are frequently referenced, do not change very much, or are project-specific are denoted here.
// 
// 
// 

#include "targetver.h"

#define WIN32_LEAN_AND_MEAN             // Remove the unused parts of the Windows header.

// TODO: Reference additional headers required by the program here.
#include <new>
#include <cstring>
#include <cstdlib>
#include <GLES2/gl2.h>
#include <GLES2/gl2ext.h>
#include <nn.h>
#include <nn/gx.h>
#include <nw/sdk.h>
#include <nw/types.h>
#include <nw/font.h>
#include <nw/ut.h>
#include <nw/math.h>
#include <nw/dev/dev_Profile.h>

#ifdef NW_PLATFORM_CTR
#include <nn/gx/CTR/gx_CommandAccess.h>
#endif

#endif//NW_LYT_PRECOMPILED_H_

