﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_G2D_FILERESOURCEACCESSOR_H_
#define NW4C_VIEWER_G2D_FILERESOURCEACCESSOR_H_

#if defined(__MWERKS__)
#pragma once
#endif

#include <nw/lyt/lyt_ResourceAccessor.h>
#include <nw/ut/ut_MovePtr.h>
#include <nw/viewer/lyt/FileResourceAccessor.h>

namespace vw
{
namespace g2d
{

using nw::viewer::lyt::FileResourceAccessor;

} // namespace g2d
} // namespace vw

#endif // NW4C_VIEWER_G2D_FILERESOURCEACCESSOR_H_
